#!/usr/bin/env python

import socket,sys

host = "domena_lub_adres_IP"
port = 80

try:
    mysocket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    print(mysocket)
    mysocket.settimeout(5)
except socket.error as e:
    print("Błąd utworzenia gniazda: %s" %e)
    sys.exit(1)

try:
    mysocket.connect((host,port))
    print(mysocket)
except socket.timeout as e:
    print("Przekroczenie czasu: %s" %e)
    sys.exit(1)
except socket.gaierror as e:
    print("Błąd odwzorowania nazwy domeny: %s" %e)
    sys.exit(1)
except socket.error as e:
    print("Błąd obsługi gniazda: %s" %e)
    sys.exit(1)